package provide Freetype::ftlzw 0.1

if {![info exists _source([file tail [info script]])]} {
package require Freetype::ft2build
package require $FT_FREETYPE

if {[catch {::ffidl::symbol $::ft::lib FT_StreamOpenLZW} _symbol] == 0} {
::ffidl::callout _FT_StreamOpenLZW {pointer pointer} int $_symbol
proc FT_StreamOpenLZW {stream source} {
    set result [_FT_StreamOpenLZW [$stream getPointer] [$source getPointer]]
    return $result
}
}

set _source([file tail [info script]]) 1
}
